%define major 20
%define libname %mklibname etpan %{major}
%define develname %mklibname etpan -d

Summary:	Mail purpose library
Name:		libetpan
Version:	1.7.2
Release:	%mkrel 1
Group:		System/Libraries
License:	BSD
URL:		http://www.etpan.org/libetpan.html
Source0:	https://github.com/dinhviethoa/libetpan/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		libetpan-0.58-drop-ldflags.patch
Patch1:		libetpan-1.6-link.patch
Patch0101:	0001-Fixed-memory-leak-fixed-251.patch
Patch0102:	0002-Fixed-crash-with-IDLE.patch
Patch0103:	0003-Fix-256-support-micro-version.patch
BuildRequires:	gnutls-devel
BuildRequires:	db-devel
BuildRequires:	libcurl-devel
BuildRequires:	libexpat-devel

%description
The purpose of this mail library is to provide a portable, efficient
framework for different kinds of mail access. When using the drivers
interface, the interface is the same for all kinds of mail access,
remote and local mailboxes.

Network protocols supported:
o IMAP/NNTP/POP3/SMTP over TCP/IP and SSL/TCP/IP, already implemented.
o Local storage (mbox/MH/maildir), message / MIME parser

%package -n %{libname}
Summary:	Mail purpose library
Group:		System/Libraries

%description -n %{libname}
The purpose of this mail library is to provide a portable, efficient
framework for different kinds of mail access. When using the drivers
interface, the interface is the same for all kinds of mail access,
remote and local mailboxes.

Network protocols supported:
o IMAP/NNTP/POP3/SMTP over TCP/IP and SSL/TCP/IP, already implemented.
o Local storage (mbox/MH/maildir), message / MIME parser

%package -n %{develname}
Summary:	Libraries and include files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel  = %{version}-%{release}
Obsoletes:	%{_lib}etpan11-devel < 0.54

%description -n %{develname}
This package contains the header files and static libraries for
developing with %{name}.

%prep
%setup -q
%autopatch -p1

mv README.md README

%build
autoreconf -vfi
%configure2_5x \
	--without-openssl \
	--with-gnutls \
	--enable-ipv6 \
	--enable-optim \
	--disable-static

%make

%check
make check

%install
%makeinstall_std

#workaround for *.h detections
rm -f include/libetpan/libetpan-conf
install -m 644 include/libetpan/*.h %{buildroot}%{_includedir}/libetpan

%multiarch_binaries %{buildroot}%{_bindir}/libetpan-config

# don't ship .la
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc COPYING COPYRIGHT
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{develname}
%doc ChangeLog NEWS
%doc doc/DOCUMENTATION
%{_bindir}/libetpan-config
%multiarch %{multiarch_bindir}/*
%{_includedir}/*
%{_libdir}/%{name}.so


%changelog
* Fri Apr 21 2017 wally <wally> 1.7.2-1.mga6
+ Revision: 1096998
- new version 1.7.2 with interesting patches from upstream
- new lib major 20

* Sat Mar 19 2016 wally <wally> 1.6-3.mga6
+ Revision: 992991
- add patch from upstream to negotiate highest available SSL/TLS version when using STARTTLS

* Mon Jan 11 2016 luigiwalser <luigiwalser> 1.6-2.mga6
+ Revision: 921816
- rebuild for gnutls

* Wed Nov 12 2014 wally <wally> 1.6-1.mga5
+ Revision: 796569
- new version 1.6
- rediff linking patch

* Wed Oct 15 2014 umeabot <umeabot> 1.5-3.mga5
+ Revision: 747358
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5-2.mga5
+ Revision: 681444
- Mageia 5 Mass Rebuild

* Sat May 24 2014 wally <wally> 1.5-1.mga5
+ Revision: 625621
- new version 1.5
- new libmajor 17
- drop unneeded patches
- fix URL
- clean docs
- cleam .spec a bit

* Sat Oct 19 2013 umeabot <umeabot> 1.1-9.mga4
+ Revision: 533217
- Mageia 4 Mass Rebuild

* Tue Aug 27 2013 luigiwalser <luigiwalser> 1.1-8.mga4
+ Revision: 472076
- rebuild for cyrus-sasl

* Sat Jan 12 2013 umeabot <umeabot> 1.1-7.mga3
+ Revision: 357058
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 cjw <cjw> 1.1-6.mga3
+ Revision: 341555
- patch3: fix build with automake 1.13

* Tue Jul 31 2012 fwang <fwang> 1.1-5.mga3
+ Revision: 276308
- rebuild for db-5.3

* Fri Jul 20 2012 fwang <fwang> 1.1-4.mga3
+ Revision: 272791
- recognize db 5.2

* Fri Jul 20 2012 fwang <fwang> 1.1-3.mga3
+ Revision: 272787
- build with db 5.2

* Tue Jan 03 2012 fwang <fwang> 1.1-2.mga3
+ Revision: 189929
- fix obsoletes

* Tue Jan 03 2012 fwang <fwang> 1.1-1.mga2
+ Revision: 189872
- update libmajor
- fix linkage
- rebuild for new gnutls

  + tv <tv>
    - new release

* Fri Feb 25 2011 ahmad <ahmad> 1.0-2.mga1
+ Revision: 59220
- disable static build and don't ship .la
- drop old/unneeded scriptlets
- imported package libetpan

